Loading...
Searching...
No Matches
Gfx::EngineBaseObjDataTier Struct Reference

Tier 3 of object tree (data). More...

`#include <src/graphics/engine/engine.h>`

## Public Member Functions

| EngineBaseObjDataTier (EngineTriangleType type=ENG_TRIANGLE_TYPE_TRIANGLES, const Material &material=Material(), int state=ENG_RSTATE_NORMAL)

## Public Attributes

EngineTriangleType | type
Material | material
int | state
std::vector< VertexTex2 > | vertices
unsigned int | staticBufferId
bool | updateStaticBuffer

## Detailed Description

Tier 3 of object tree (data).

The documentation for this struct was generated from the following file:

- src/graphics/engine/engine.h